///
/// A "keyboard" event
/// 

#ifndef __EVENT_KEYBOARD_H__
#define __EVENT_KEYBOARD_H__

#include "Event.h"

#define KEYBOARD_EVENT "keyboard"

class EventKeyboard : public Event {
	//im going to do this better
	//send an array of asynckeystates
 protected:
  int key_val[256];

 public:
  EventKeyboard();
  void setKey(int* new_key);
  int* getKey();

};

#endif // __EVENT_KEYBOARD_H__
